# template: hammer_plugin
%global gem_name hammer_cli_foreman_google
%global plugin_name foreman_google

%global hammer_confdir %{_sysconfdir}/hammer

Name: rubygem-%{gem_name}
Version: 1.1.1
Release: 1%{?foremandist}%{?dist}
Summary: Foreman Google plugin for Hammer CLI
License: GPLv3
URL: https://github.com/theforeman/hammer-cli-foreman-google
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.7
Requires: ruby < 4
BuildRequires: ruby >= 2.7
BuildRequires: ruby < 4
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Foreman Google plugin for Hammer CLI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{hammer_confdir}/cli.modules.d
install -m 0644 .%{gem_instdir}/config/%{plugin_name}.yml \
                %{buildroot}%{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_cache}
%{gem_spec}
%config(noreplace) %{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/config

%changelog
* Tue Apr 02 2024 Foreman Packaging Automation <packaging@theforeman.org> - 1.1.1-1
- Update to 1.1.1

* Mon Mar 18 2024 Leos Stejskal <lstejska@redhat.com> - 1.1.0-1
- Update to 1.1.0

* Mon Mar 18 2024 Leos Stejskal <lstejska@redhat.com> 1.0.1-2
- Add locale dir to the package

* Thu Jan 05 2023 Foreman Packaging Automation <packaging@theforeman.org> 1.0.1-1
- Update to 1.0.1

* Mon Nov 07 2022 Leos Stejskal <lstejska@redhat.com> 1.0.0-1
- Update to 1.0.0

* Tue Oct 25 2022 Oleh Fedorenko <ofedoren@redhat.com> 0.0.1-1
- Add rubygem-hammer_cli_foreman_google generated by gem2rpm using the hammer_plugin template

